# \Thelia\Model\BaseCartQuery

Base class that represents a query for the 'cart' table.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByToken()
filterByCustomerId()
filterByAddressDeliveryId()
filterByAddressInvoiceId()
filterByCurrencyId()
filterByCreatedAt()
filterByUpdatedAt()
filterByCustomer()
joinCustomer()
useCustomerQuery()
filterByAddressRelatedByAddressDeliveryId()
joinAddressRelatedByAddressDeliveryId()
useAddressRelatedByAddressDeliveryIdQuery()
filterByAddressRelatedByAddressInvoiceId()
joinAddressRelatedByAddressInvoiceId()
useAddressRelatedByAddressInvoiceIdQuery()
filterByCurrency()
joinCurrency()
useCurrencyQuery()
filterByCartItem()
joinCartItem()
useCartItemQuery()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
orderById()
orderByToken()
orderByCustomerId()
orderByAddressDeliveryId()
orderByAddressInvoiceId()
orderByCurrencyId()
orderByCreatedAt()
orderByUpdatedAt()
groupById()
groupByToken()
groupByCustomerId()
groupByAddressDeliveryId()
groupByAddressInvoiceId()
groupByCurrencyId()
groupByCreatedAt()
groupByUpdatedAt()
leftJoin()
rightJoin()
innerJoin()
leftJoinCustomer()
rightJoinCustomer()
innerJoinCustomer()
leftJoinAddressRelatedByAddressDeliveryId()
rightJoinAddressRelatedByAddressDeliveryId()
innerJoinAddressRelatedByAddressDeliveryId()
leftJoinAddressRelatedByAddressInvoiceId()
rightJoinAddressRelatedByAddressInvoiceId()
innerJoinAddressRelatedByAddressInvoiceId()
leftJoinCurrency()
rightJoinCurrency()
innerJoinCurrency()
leftJoinCartItem()
rightJoinCartItem()
innerJoinCartItem()
findOne()
findOneOrCreate()
findOneById()
findOneByToken()
findOneByCustomerId()
findOneByAddressDeliveryId()
findOneByAddressInvoiceId()
findOneByCurrencyId()
findOneByCreatedAt()
findOneByUpdatedAt()
findById()
findByToken()
findByCustomerId()
findByAddressDeliveryId()
findByAddressInvoiceId()
findByCurrencyId()
findByCreatedAt()
findByUpdatedAt()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A
abstract

File
  Model/Base/CartQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\CartQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\CartQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\CartQuery

Returns a new ChildCartQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\CartQuery

#

static

## Tags

None found

### findPk()

    findPk(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Cart|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(12, $con);`

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\Cart|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(12, 56, 832), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\CartQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\CartQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\CartQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByToken()

    filterByToken(string $token, string $comparison) : \Thelia\Model\CartQuery

Filter the query on the token column

Example usage: `$query->filterByToken('fooValue'); // WHERE token = 'fooValue' $query->filterByToken('%fooValue%'); // WHERE token LIKE '%fooValue%'`

#### Parameters

string | $token | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCustomerId()

    filterByCustomerId(mixed $customerId, string $comparison) : \Thelia\Model\CartQuery

Filter the query on the customer_id column

Example usage: `$query->filterByCustomerId(1234); // WHERE customer_id = 1234 $query->filterByCustomerId(array(12, 34)); // WHERE customer_id IN (12, 34) $query->filterByCustomerId(array('min' => 12)); // WHERE customer_id > 12`

#### Parameters

mixed | $customerId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByAddressDeliveryId()

    filterByAddressDeliveryId(mixed $addressDeliveryId, string $comparison) : \Thelia\Model\CartQuery

Filter the query on the address_delivery_id column

Example usage: `$query->filterByAddressDeliveryId(1234); // WHERE address_delivery_id = 1234 $query->filterByAddressDeliveryId(array(12, 34)); // WHERE address_delivery_id IN (12, 34) $query->filterByAddressDeliveryId(array('min' => 12)); // WHERE address_delivery_id > 12`

#### Parameters

mixed | $addressDeliveryId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByAddressInvoiceId()

    filterByAddressInvoiceId(mixed $addressInvoiceId, string $comparison) : \Thelia\Model\CartQuery

Filter the query on the address_invoice_id column

Example usage: `$query->filterByAddressInvoiceId(1234); // WHERE address_invoice_id = 1234 $query->filterByAddressInvoiceId(array(12, 34)); // WHERE address_invoice_id IN (12, 34) $query->filterByAddressInvoiceId(array('min' => 12)); // WHERE address_invoice_id > 12`

#### Parameters

mixed | $addressInvoiceId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByCurrencyId()

    filterByCurrencyId(mixed $currencyId, string $comparison) : \Thelia\Model\CartQuery

Filter the query on the currency_id column

Example usage: `$query->filterByCurrencyId(1234); // WHERE currency_id = 1234 $query->filterByCurrencyId(array(12, 34)); // WHERE currency_id IN (12, 34) $query->filterByCurrencyId(array('min' => 12)); // WHERE currency_id > 12`

#### Parameters

mixed | $currencyId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\CartQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\CartQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCustomer()

    filterByCustomer(\Thelia\Model\Customer|\Propel\Runtime\Collection\ObjectCollection $customer, string $comparison) : \Thelia\Model\CartQuery

Filter the query by a related \Thelia\Model\Customer object

#### Parameters

\Thelia\Model\Customer|\Propel\Runtime\Collection\ObjectCollection | $customer | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

## Tags

None found

### joinCustomer()

    joinCustomer(string $relationAlias, string $joinType) : \Thelia\Model\CartQuery

Adds a JOIN clause to the query using the Customer relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

## Tags

None found

### useCustomerQuery()

    useCustomerQuery(string $relationAlias, string $joinType) : \Thelia\Model\CustomerQuery

Use the Customer relation Customer object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CustomerQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByAddressRelatedByAddressDeliveryId()

    filterByAddressRelatedByAddressDeliveryId(\Thelia\Model\Address|\Propel\Runtime\Collection\ObjectCollection $address, string $comparison) : \Thelia\Model\CartQuery

Filter the query by a related \Thelia\Model\Address object

#### Parameters

\Thelia\Model\Address|\Propel\Runtime\Collection\ObjectCollection | $address | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

## Tags

None found

### joinAddressRelatedByAddressDeliveryId()

    joinAddressRelatedByAddressDeliveryId(string $relationAlias, string $joinType) : \Thelia\Model\CartQuery

Adds a JOIN clause to the query using the AddressRelatedByAddressDeliveryId relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

## Tags

None found

### useAddressRelatedByAddressDeliveryIdQuery()

    useAddressRelatedByAddressDeliveryIdQuery(string $relationAlias, string $joinType) : \Thelia\Model\AddressQuery

Use the AddressRelatedByAddressDeliveryId relation Address object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AddressQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByAddressRelatedByAddressInvoiceId()

    filterByAddressRelatedByAddressInvoiceId(\Thelia\Model\Address|\Propel\Runtime\Collection\ObjectCollection $address, string $comparison) : \Thelia\Model\CartQuery

Filter the query by a related \Thelia\Model\Address object

#### Parameters

\Thelia\Model\Address|\Propel\Runtime\Collection\ObjectCollection | $address | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

## Tags

None found

### joinAddressRelatedByAddressInvoiceId()

    joinAddressRelatedByAddressInvoiceId(string $relationAlias, string $joinType) : \Thelia\Model\CartQuery

Adds a JOIN clause to the query using the AddressRelatedByAddressInvoiceId relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

## Tags

None found

### useAddressRelatedByAddressInvoiceIdQuery()

    useAddressRelatedByAddressInvoiceIdQuery(string $relationAlias, string $joinType) : \Thelia\Model\AddressQuery

Use the AddressRelatedByAddressInvoiceId relation Address object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AddressQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByCurrency()

    filterByCurrency(\Thelia\Model\Currency|\Propel\Runtime\Collection\ObjectCollection $currency, string $comparison) : \Thelia\Model\CartQuery

Filter the query by a related \Thelia\Model\Currency object

#### Parameters

\Thelia\Model\Currency|\Propel\Runtime\Collection\ObjectCollection | $currency | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

## Tags

None found

### joinCurrency()

    joinCurrency(string $relationAlias, string $joinType) : \Thelia\Model\CartQuery

Adds a JOIN clause to the query using the Currency relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

## Tags

None found

### useCurrencyQuery()

    useCurrencyQuery(string $relationAlias, string $joinType) : \Thelia\Model\CurrencyQuery

Use the Currency relation Currency object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CurrencyQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByCartItem()

    filterByCartItem(\Thelia\Model\CartItem|\Propel\Runtime\Collection\ObjectCollection $cartItem, string $comparison) : \Thelia\Model\CartQuery

Filter the query by a related \Thelia\Model\CartItem object

#### Parameters

\Thelia\Model\CartItem|\Propel\Runtime\Collection\ObjectCollection | $cartItem | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

## Tags

None found

### joinCartItem()

    joinCartItem(string $relationAlias, string $joinType) : \Thelia\Model\CartQuery

Adds a JOIN clause to the query using the CartItem relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

## Tags

None found

### useCartItemQuery()

    useCartItemQuery(string $relationAlias, string $joinType) : \Thelia\Model\CartItemQuery

Use the CartItem relation CartItem object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CartItemQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### prune()

    prune(\Thelia\Model\Cart $cart) : \Thelia\Model\CartQuery

Exclude object from result

#### Parameters

\Thelia\Model\Cart | $cart | Object to remove from the list of results

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the cart table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildCart or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\CartQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\CartQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\CartQuery

Order by update date desc

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\CartQuery

Order by update date asc

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\CartQuery

Order by create date desc

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\CartQuery

Order by create date asc

#### Returns

\Thelia\Model\CartQuery —

The current query, for fluid interface

#

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\CartQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### orderByToken()

    orderByToken($order =) : \Thelia\Model\CartQuery

Order by the token column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### orderByCustomerId()

    orderByCustomerId($order =) : \Thelia\Model\CartQuery

Order by the customer_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### orderByAddressDeliveryId()

    orderByAddressDeliveryId($order =) : \Thelia\Model\CartQuery

Order by the address_delivery_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### orderByAddressInvoiceId()

    orderByAddressInvoiceId($order =) : \Thelia\Model\CartQuery

Order by the address_invoice_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### orderByCurrencyId()

    orderByCurrencyId($order =) : \Thelia\Model\CartQuery

Order by the currency_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\CartQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\CartQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\CartQuery

Group by the id column

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### groupByToken()

    groupByToken() : \Thelia\Model\CartQuery

Group by the token column

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### groupByCustomerId()

    groupByCustomerId() : \Thelia\Model\CartQuery

Group by the customer_id column

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### groupByAddressDeliveryId()

    groupByAddressDeliveryId() : \Thelia\Model\CartQuery

Group by the address_delivery_id column

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### groupByAddressInvoiceId()

    groupByAddressInvoiceId() : \Thelia\Model\CartQuery

Group by the address_invoice_id column

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### groupByCurrencyId()

    groupByCurrencyId() : \Thelia\Model\CartQuery

Group by the currency_id column

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\CartQuery

Group by the created_at column

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\CartQuery

Group by the updated_at column

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\CartQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\CartQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\CartQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### leftJoinCustomer()

    leftJoinCustomer($relationAlias =) : \Thelia\Model\CartQuery

Adds a LEFT JOIN clause to the query using the Customer relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### rightJoinCustomer()

    rightJoinCustomer($relationAlias =) : \Thelia\Model\CartQuery

Adds a RIGHT JOIN clause to the query using the Customer relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### innerJoinCustomer()

    innerJoinCustomer($relationAlias =) : \Thelia\Model\CartQuery

Adds a INNER JOIN clause to the query using the Customer relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### leftJoinAddressRelatedByAddressDeliveryId()

    leftJoinAddressRelatedByAddressDeliveryId($relationAlias =) : \Thelia\Model\CartQuery

Adds a LEFT JOIN clause to the query using the AddressRelatedByAddressDeliveryId relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### rightJoinAddressRelatedByAddressDeliveryId()

    rightJoinAddressRelatedByAddressDeliveryId($relationAlias =) : \Thelia\Model\CartQuery

Adds a RIGHT JOIN clause to the query using the AddressRelatedByAddressDeliveryId relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### innerJoinAddressRelatedByAddressDeliveryId()

    innerJoinAddressRelatedByAddressDeliveryId($relationAlias =) : \Thelia\Model\CartQuery

Adds a INNER JOIN clause to the query using the AddressRelatedByAddressDeliveryId relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### leftJoinAddressRelatedByAddressInvoiceId()

    leftJoinAddressRelatedByAddressInvoiceId($relationAlias =) : \Thelia\Model\CartQuery

Adds a LEFT JOIN clause to the query using the AddressRelatedByAddressInvoiceId relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### rightJoinAddressRelatedByAddressInvoiceId()

    rightJoinAddressRelatedByAddressInvoiceId($relationAlias =) : \Thelia\Model\CartQuery

Adds a RIGHT JOIN clause to the query using the AddressRelatedByAddressInvoiceId relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### innerJoinAddressRelatedByAddressInvoiceId()

    innerJoinAddressRelatedByAddressInvoiceId($relationAlias =) : \Thelia\Model\CartQuery

Adds a INNER JOIN clause to the query using the AddressRelatedByAddressInvoiceId relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### leftJoinCurrency()

    leftJoinCurrency($relationAlias =) : \Thelia\Model\CartQuery

Adds a LEFT JOIN clause to the query using the Currency relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### rightJoinCurrency()

    rightJoinCurrency($relationAlias =) : \Thelia\Model\CartQuery

Adds a RIGHT JOIN clause to the query using the Currency relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### innerJoinCurrency()

    innerJoinCurrency($relationAlias =) : \Thelia\Model\CartQuery

Adds a INNER JOIN clause to the query using the Currency relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### leftJoinCartItem()

    leftJoinCartItem($relationAlias =) : \Thelia\Model\CartQuery

Adds a LEFT JOIN clause to the query using the CartItem relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### rightJoinCartItem()

    rightJoinCartItem($relationAlias =) : \Thelia\Model\CartQuery

Adds a RIGHT JOIN clause to the query using the CartItem relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### innerJoinCartItem()

    innerJoinCartItem($relationAlias =) : \Thelia\Model\CartQuery

Adds a INNER JOIN clause to the query using the CartItem relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CartQuery

#

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\Cart

Return the first ChildCart matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Cart

#

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\Cart

Return the first ChildCart matching the query, or a new ChildCart object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Cart

#

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\Cart

Return the first ChildCart filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\Cart

#

## Tags

None found

### findOneByToken()

    findOneByToken(string $token) : \Thelia\Model\Cart

Return the first ChildCart filtered by the token column

#### Parameters

string | $token |

#### Returns

\Thelia\Model\Cart

#

## Tags

None found

### findOneByCustomerId()

    findOneByCustomerId(int $customer_id) : \Thelia\Model\Cart

Return the first ChildCart filtered by the customer_id column

#### Parameters

int | $customer_id |

#### Returns

\Thelia\Model\Cart

#

## Tags

None found

### findOneByAddressDeliveryId()

    findOneByAddressDeliveryId(int $address_delivery_id) : \Thelia\Model\Cart

Return the first ChildCart filtered by the address_delivery_id column

#### Parameters

int | $address_delivery_id |

#### Returns

\Thelia\Model\Cart

#

## Tags

None found

### findOneByAddressInvoiceId()

    findOneByAddressInvoiceId(int $address_invoice_id) : \Thelia\Model\Cart

Return the first ChildCart filtered by the address_invoice_id column

#### Parameters

int | $address_invoice_id |

#### Returns

\Thelia\Model\Cart

#

## Tags

None found

### findOneByCurrencyId()

    findOneByCurrencyId(int $currency_id) : \Thelia\Model\Cart

Return the first ChildCart filtered by the currency_id column

#### Parameters

int | $currency_id |

#### Returns

\Thelia\Model\Cart

#

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\Cart

Return the first ChildCart filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\Cart

#

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\Cart

Return the first ChildCart filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\Cart

#

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildCart objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

## Tags

None found

### findByToken()

    findByToken(string $token) : array

Return ChildCart objects filtered by the token column

#### Parameters

string | $token |

#### Returns

array

#

## Tags

None found

### findByCustomerId()

    findByCustomerId(int $customer_id) : array

Return ChildCart objects filtered by the customer_id column

#### Parameters

int | $customer_id |

#### Returns

array

#

## Tags

None found

### findByAddressDeliveryId()

    findByAddressDeliveryId(int $address_delivery_id) : array

Return ChildCart objects filtered by the address_delivery_id column

#### Parameters

int | $address_delivery_id |

#### Returns

array

#

## Tags

None found

### findByAddressInvoiceId()

    findByAddressInvoiceId(int $address_invoice_id) : array

Return ChildCart objects filtered by the address_invoice_id column

#### Parameters

int | $address_invoice_id |

#### Returns

array

#

## Tags

None found

### findByCurrencyId()

    findByCurrencyId(int $currency_id) : array

Return ChildCart objects filtered by the currency_id column

#### Parameters

int | $currency_id |

#### Returns

array

#

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildCart objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildCart objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Cart

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Cart —

A model object, or null if the key is not found

#

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Cart|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Cart|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### CartQuery.php